import { Api } from './api';
import { TypedEmitter, TypedEvents } from '@ztimson/utils';
export type PdfOptions = {
    download?: boolean;
    fileName?: string;
};
export type PdfEvents = TypedEvents & {
    CREATE: (pdf: Blob) => any;
};
export declare class Pdf extends TypedEmitter<PdfEvents> {
    private readonly api;
    constructor(api: Api | string);
    private handleResponse;
    fromHtml(content: string, opts?: PdfOptions): import('@ztimson/utils').PromiseProgress<any>;
    fromTemplate(template: string, data: object, opts?: PdfOptions): import('@ztimson/utils').PromiseProgress<any>;
    fromUrl(url: string, opts?: PdfOptions): import('@ztimson/utils').PromiseProgress<any>;
}
//# sourceMappingURL=pdf.d.ts.map