import { TypedEmitter, TypedEvents } from '@ztimson/utils';
import { Api } from './api';
export type AiEvents = TypedEvents & {
    'QUESTION': (q: string, ctx: any, answer: string) => any;
};
export declare class Ai extends TypedEmitter<AiEvents> {
    private readonly api;
    constructor(api: Api | string);
    ask(question: string, context?: any): import('@ztimson/utils').PromiseProgress<any>;
}
//# sourceMappingURL=ai.d.ts.map